org.apache.catalina.mbeans

## Class JmxRemoteLifecycleListener.RmiServerBindSocketFactory

- java.lang.Object
- - org.apache.catalina.mbeans.JmxRemoteLifecycleListener.RmiServerBindSocketFactory

- All Implemented Interfaces:
    RMIServerSocketFactory
  Enclosing class:
    JmxRemoteLifecycleListener

      public static class JmxRemoteLifecycleListener.RmiServerBindSocketFactory
      extends Object
      implements RMIServerSocketFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JmxRemoteLifecycleListener.RmiServerBindSocketFactory(String address)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServerSocket` | `createServerSocket(int port)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JmxRemoteLifecycleListener.RmiServerBindSocketFactory

          public JmxRemoteLifecycleListener.RmiServerBindSocketFactory(String address)

  - ### Method Detail

    - #### createServerSocket

          public ServerSocket createServerSocket(int port)
                                          throws IOException

      Specified by:
        `createServerSocket` in interface `RMIServerSocketFactory`
      Throws:
        `IOException`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.